Package org.apache.struts2.config_browser

# Class ShowBeansAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ActionNamesAction
org.apache.struts2.config_browser.ShowBeansAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class ShowBeansAction extends ActionNamesAction
Shows the beans loaded by the internal Guice container. Only shows beans that are recognized by Struts as official plugin extension points.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ShowBeansAction.Binding`

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `configHelper`

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowBeansAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Set<ShowBeansAction.Binding>`
  `addBindings(Container container, Class<?> type, String constName)`
  `Map<String,Set<ShowBeansAction.Binding>>`
  `getBeans()`
  `void`
  `setContainer(Container container)`

  ### Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `execute, getActionNames, getConfig, getExtension, getNamespace, getNamespaces, index, redirect, setConfigurationHelper, setExtension, setNamespace`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowBeansAction

    public ShowBeansAction()

- ## Method Details

  - ### setContainer

    public void setContainer(Container container)
    Overrides:
      `setContainer` in class `ActionSupport`

  - ### getBeans

    public Map<String,Set<ShowBeansAction.Binding>> getBeans()

  - ### addBindings

    protected Set<ShowBeansAction.Binding> addBindings(Container container, Class<?> type, String constName)